Was about to relaunch brave to update to 18.27 on Mac, won't open now


#1

Hey everyone, I clicked the update to relaunch Brave to update to 18.27, it didn’t fully restart right away like it always does, so I quit it and tried to relaunch it, it brings up Brave, but doesn’t launch a new window, only lets me quit it. I’m on Mac Sierra 10.12.6 Anyway I can fix this without uninstalling or deleting my profile data?

Thanks!


#2

This is being fixed with a new build.


#3

Thanks Sriram, appreciate it, do I have to download a new build from gethub or just wait a day or two?


#4

Generally you need to just enable update to preview build. But since 0.18.27 doesn’t launch, you will have to download the new build from github and install it or go back to 0.18.23 and update to the latest one (0.18.28) once its available.


#5

Thanks, can I have the link to the full mac package? Will it replace the old build? Can i download one of the 19 x builds also and have both?


#6

You can download the build from here https://github.com/brave/browser-laptop/releases once its available. At present there is no option to run two different build at the same time but you can build from source and run it. This is still in works .


#7

Thanks so much, so can I just download a 19 x package?


#8

Yes you can download any 0.19.x package.


#9

Sounds good, can I keep all my data from the old 18.25? Do I just download the .dmg file to replace the old build?


#10

Yes profile data will be intact.


#11

I think I might need to create a new profile, I downloaded the .dmg package and build does the same thing my other build was doing, did I mess something up?


#12

Got it all to work again, and I got to keep all my data and settings, just fine, thanks Sriram, how often can I download a new build from Gethub?


#13

There is no set time. You can enable update to preview build which will automatically download the latest preview once its made available.

The issue is being looked at.


#14

Alright, I’ll shut it off, until the issue is fixed. Thanks!


#15

Tried v0.18.28dev which was released 4 hours ago. Still having this issue.


#16

same here. v0.18.28 will not launch.


#17

syslog says:

default	13:28:35.206875 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 0, IOVARendererID property not found
default	13:28:35.206999 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 1, IOVARendererID property not found
default	13:28:35.207143 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 2, IOVARendererID property not found
default	13:28:35.207302 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 3, IOVARendererID property not found
default	13:28:35.207499 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 4, IOVARendererID property not found
default	13:28:35.207632 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 5, IOVARendererID property not found
default	13:28:35.207761 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 6, IOVARendererID property not found
default	13:28:35.207840 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 7, IOVARendererID property not found
default	13:28:35.208010 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 8, IOVARendererID property not found
default	13:28:35.208188 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 9, IOVARendererID property not found
default	13:28:35.208305 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 10, IOVARendererID property not found
default	13:28:35.208460 +0100	Brave Helper	GVA error: IORegistryEntryCreateCFProperty failed for display number 0, IOVARendererID property not found

#18

@pchaganti @braveboye There is an issue with 0.18.28 that is being investigated. For now you will have to manually revert back to 0.18.27.


#19

0.18.27 does not work either for me now.


#20

I also tried going back to 0.18.26 and I got this error! error